Bug 189070 - [PATCH] databases/py-bsddb3: update to 6.0.1
Summary: [PATCH] databases/py-bsddb3: update to 6.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-28 14:10 UTC by Muhammad Moinur Rahman
Modified: 2014-04-28 16:10 UTC (History)
1 user (show)

See Also:


Attachments
py-bsddb3-6.0.1.patch (2.63 KB, patch)
2014-04-28 14:10 UTC, Muhammad Moinur Rahman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Moinur Rahman freebsd_committer 2014-04-28 14:10:01 UTC
- Update to 6.0.1

For Committer's reference:
http://pdr.s.ubze.ro/bulk/latest-per-pkg/py27-bsddb3/6.0.1/

Port maintainer (wen@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.01 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-28 14:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-28 16:07:15 UTC
Author: wen
Date: Mon Apr 28 15:07:11 2014
New Revision: 352509
URL: http://svnweb.freebsd.org/changeset/ports/352509
QAT: https://qat.redports.org/buildarchive/r352509/

Log:
  - Update to 6.0.1
  - Add LICENSE
  - Pass maintainership to submitter
  
  PR:		189070
  Submitted by:	Muhammad Moinur Rahman <5u623l20@gmail.com>

Modified:
  head/databases/py-bsddb3/Makefile
  head/databases/py-bsddb3/distinfo
  head/databases/py-bsddb3/files/patch-setup2.py

Modified: head/databases/py-bsddb3/Makefile
==============================================================================
--- head/databases/py-bsddb3/Makefile	Mon Apr 28 15:01:33 2014	(r352508)
+++ head/databases/py-bsddb3/Makefile	Mon Apr 28 15:07:11 2014	(r352509)
@@ -2,14 +2,16 @@
 # $FreeBSD$
 
 PORTNAME=	bsddb3
-PORTVERSION=	5.3.0
+PORTVERSION=	6.0.1
 CATEGORIES=	databases python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
-MAINTAINER=	wen@FreeBSD.org
+MAINTAINER=	5u623l20@gmail.com
 COMMENT=	Python extension module for BerkeleyDB 3 and 4
 
+LICENSE=	BSD3CLAUSE
+
 USE_BDB=	43+
 USE_PYTHON=		yes
 USE_PYDISTUTILS=	yes
@@ -25,6 +27,7 @@ DOCSDIR=	${PREFIX}/share/doc/py-${PORTNA
 post-patch:
 	${REINPLACE_CMD} 's,%%DBVERSION%%,${BDB_LIB_NAME},g' ${WRKSRC}/setup2.py ${WRKSRC}/setup3.py
 	${REINPLACE_CMD} 's,<db\.h>,<${BDB_INCLUDE_DIR}/db.h>,' ${WRKSRC}/Modules/bsddb.h
+	${REINPLACE_CMD} 's,%%BDB_INCLUDE_DIR%%,${BDB_INCLUDE_DIR},' ${WRKSRC}/setup2.py
 
 post-install:
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}

Modified: head/databases/py-bsddb3/distinfo
==============================================================================
--- head/databases/py-bsddb3/distinfo	Mon Apr 28 15:01:33 2014	(r352508)
+++ head/databases/py-bsddb3/distinfo	Mon Apr 28 15:07:11 2014	(r352509)
@@ -1,2 +1,2 @@
-SHA256 (bsddb3-5.3.0.tar.gz) = 4619f6189e5f94e337c62ae398ccb9c25568f3c3cab39970a4ea7625d38f8b3e
-SIZE (bsddb3-5.3.0.tar.gz) = 385113
+SHA256 (bsddb3-6.0.1.tar.gz) = abc34d83d6cbb40f1626ecc2b62e8163ba204f4bb6a65c23b125a171d224bf6d
+SIZE (bsddb3-6.0.1.tar.gz) = 347002

Modified: head/databases/py-bsddb3/files/patch-setup2.py
==============================================================================
--- head/databases/py-bsddb3/files/patch-setup2.py	Mon Apr 28 15:01:33 2014	(r352508)
+++ head/databases/py-bsddb3/files/patch-setup2.py	Mon Apr 28 15:07:11 2014	(r352509)
@@ -1,6 +1,6 @@
 --- setup2.py.orig	2011-03-08 22:16:14.000000000 +0800
 +++ setup2.py	2011-03-15 16:00:42.000000000 +0800
-@@ -53,10 +53,7 @@
+@@ -86,10 +86,7 @@
              category=DeprecationWarning)
  
  
@@ -12,7 +12,7 @@
  
  from distutils.dep_util import newer
  import distutils.ccompiler
-@@ -247,8 +244,8 @@
+@@ -292,8 +289,8 @@
          incdir = os.path.join(BERKELEYDB_DIR, 'include')
      if not libdir:
          libdir = os.path.join(BERKELEYDB_DIR, 'lib')
@@ -23,3 +23,12 @@
      else:
          if debug: print "LIBS already contains '-ldb' not adding our own", "'-l"+dblib+"'"
          libname = []
+@@ -332,7 +329,7 @@
+ 
+     # read db.h to figure out what version of Berkeley DB this is
+     ver = None
+-    db_h_lines = open(os.path.join(incdir, 'db.h'), 'r').readlines()
++    db_h_lines = open('%%BDB_INCLUDE_DIR%%/db.h', 'r').readlines()
+     db_ver_re = re.compile(
+         r'^#define\s+DB_VERSION_STRING\s.*Berkeley DB (\d+\.\d+).*')
+     db_ver2 = db_ver
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2014-04-28 16:08:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!